/**
 * Copyright (C) 2009 Gauvain Pocentek <gpocentek@linutop.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "main.h"

int
main (int argc, char **argv)
{
    gboolean mandatory_login;
    gboolean no_login = FALSE;

    xfce_textdomain (GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR, "UTF-8");
    gtk_init (&argc, &argv);

    gtk_window_set_default_icon_name ("system-software-update");

    if (getuid () != 0) {
        xfce_warn (_("You don't appear to be root. Exiting."));
        _exit (1);
    }

    if (!get_cfg())
    {
        warn_service_down ();
        gtk_main_quit ();
        return 0;
    }

    mandatory_login = ! config_is ("allow_anonymous", "1");
    if (!mandatory_login)
        no_login = config_is ("no_login", "1");

    if (!no_login)
        login (mandatory_login);
    else
    {
        status *s;
        const gchar *os;
        os = get_os ();
        s = get_informations (NULL, NULL, os);
        if (!s)
        {
            warn_service_down ();
            return 0;
        }

        update_dialog (s, NULL, NULL);
    }


    gtk_main ();

    return 0;
}
